from rest_framework import routers
from django.urls import include, path
from . import views

app_name = "sangue_app"

urlpatterns = [
    # path('', views.index, name='index'),
]
router = routers.DefaultRouter()

# --------------- FINE PREFISSO TEMPLATE ---------------

router.register(r'progetto', views.Progetto_View)
router.register(r'valorizzazioneeconomicaprogetto',
                views.ValorizzazioneEconomicaProgetto_View)
router.register(r'repository', views.Repository_View)
router.register(r'tiporelazione', views.TipoRelazione_View)
router.register(r'attivita', views.Attivita_View)
router.register(r'risorsachiave', views.RisorsaChiave_View)
router.register(r'propostadivalore', views.PropostaDiValore_View)
router.register(r'canaledidistribuzione', views.CanaleDiDistribuzione_View)
router.register(r'settoredimercato', views.SettoreDiMercato_View)
router.register(r'flussodiricavi', views.FlussoDiRicavi_View)
router.register(r'strutturadeicosti', views.StrutturaDeiCosti_View)
router.register(r'settoreazienda', views.SettoreAzienda_View)
router.register(r'relazioneconazienda', views.RelazioneConAzienda_View)
router.register(r'tipoattivita', views.TipoAttivita_View)
router.register(r'valoredelprogetto', views.ValoreDelProgetto_View)
router.register(r'attivitadelprogetto', views.AttivitaDelProgetto_View)
router.register(r'assetdelprogetto', views.AssetDelProgetto_View)
router.register(r'risorsapersonale', views.RisorsaPersonale_View)
router.register(r'risorsafisica', views.RisorsaFisica_View)
router.register(r'risorsafinanziaria', views.RisorsaFinanziaria_View)
router.register(r'valoredellattivita', views.ValoreDellAttivita_View)
router.register(r'valorizzazioneeconomicaattivita',
                views.ValorizzazioneEconomicaAttivita_View)
router.register(r'assetdaattivita', views.AssetDaAttivita_View)
router.register(r'archiviofiles', views.ArchivioFiles_View)
router.register(r'canaledistribuzioneindiretto',
                views.CanaleDistribuzioneIndiretto_View)

urlpatterns += router.urls
